Met .htaccess grip op je websiteverkeer!

Heb je een website, dan wil je natuurlijk graag bezoekers. Je hebt immers een verhaal te vertellen, kennis te delen of iets te verkopen. Alleen, niet al het verkeer is even waardevol. Richt jij je hoofdzakelijk op de Benelux, dan kun je besluiten jouw website enkel daarvoor toegankelijk te maken. Dit kan met behulp van het .htaccess-bestand en GeoIP. Lees snel hoe!

Met .htaccess grip op je websiteverkeer!

Verder lezen

WP-CLI: WordPress via de command line!

Van blogs tot webshops en professionele portfolio’s – het soort website waar WordPress voor wordt gebruikt, is enorm divers. En dat geldt net zo goed voor de gebruikers. Nu bestaan er zat oplossingen om één of vooral meerdere WordPress-website beheren nóg makkelijker te maken. Welke voor jou werkt, bepaal jij. Voor de meer technisch onderlegde beheerder is WP-CLI in elk geval heel fijn. Lees hoe het werkt en wat je ermee kunt!

WP-CLI: beheer WordPress via de command line!

Verder lezen

PHP 7.2 nu beschikbaar bij Antagonist!

Het is alweer bijna een jaar geleden dat PHP 7.1 is uitgebracht en zelfs al bijna twee jaar sinds dit voor PHP 7.0 gebeurde. Omdat PHP releases tegenwoordig met een tussenperiode van een jaar worden uitgebracht, is het dus binnenkort tijd voor PHP 7.2. En het mooie, jij kunt er bij ons al mee aan gang!

PHP 7.2 nu beschikbaar bij Antagonist!

De oplettende lezer denkt nu: “Binnenkort tijd? Maar in de titel zeg je dat PHP 7.2 al beschikbaar is.” Goed opgemerkt, dat is ook zo. Je kunt bij ons al aan de slag met de zogeheten ‘Release Canditate’, afgekort ‘RC’. Je kunt dit zien als de laatste fase in het ontwikkelingsproces van software, voordat het publiekelijk wordt gelanceerd. Het helpt ontwikkelaars om de laatste bugs eruit te halen.

Deze Release Candidates worden volgens een vast schema uitgebracht: vanaf 31 augustus komt er elke twee weken een RC uit, van RC1 tot en met RC6. Fouten die in een RC worden gevonden, worden dus opgelost in de RC die erop volgt. Drie weken daarna komt de zogeheten General Availability Release (GA). Dit is de eerste versie die voor productiedoeleinden geschikt zal zijn. Als je mee hebt geteld, dan weet je dat het 30 november zo ver is!

Waarom dan nu al beschikbaar?

Omdat het kan. Daarnaast kunnen we op deze manier zelf goed bekijken of er nog zaken zijn die aandacht nodig hebben, zodat we zeker weten dat we zonder problemen de eerste GA kunnen aanbieden. Voor onze klanten is mogelijk om vrij tussen PHP-versies te schakelen. Door PHP 7.2 nu al beschikbaar te stellen, bieden we ook jullie de mogelijkheid om te testen, zonder dat hier risico’s aan vastzitten.

Verder lezen

Kies PHP 7.1 en pak die snelheidswinst!

Draai jij PHP 5.6 of ouder? Je laat dan onnodig snelheid liggen. Zo is PHP 5.3 al sinds 14 augustus 2014 ‘end of life’ verklaard en krijgt het geen beveiligingsupdates meer. PHP 7 is flink sneller, stabieler en veiliger. Kies daarom voor een nieuwere versie. En dat kan gewoon, de beste PHP-versie is bij ons beschikbaar. Pak die snelheidswinst!

Kies PHP 7.1 en pak die snelheidswinst!

Verder lezen

Schakel over naar PHP 5.5

Over naar PHP 5.5Het overgrote deel van de websites op het internet, en zo ook bij Antagonist, maakt gebruik van PHP. Eerder dit jaar, in een blogpost van Wouter, spraken we over de introductie van een nieuwe techniek bij Antagonist; de PHP-selector. Deze nieuwe tool maakt het gebruik van PHP veel uitgebreider en flexibeler.

Inmiddels draait de PHP-selector al een tijdje bij Antagonist, en met groot succes! Sinds de aankondiging hebben we van een heleboel klanten enthousiaste berichten ontvangen en zijn vele accounts overgegaan op een nieuwe versie van PHP. De tool stelt gebruikers namelijk in staat om zelf te bepalen welke PHP-versie het hostingpakket, en daarmee dus ook de website, gebruikt.

Maar is het niet alleen voor techneuten?

Wellicht dat velen van jullie nu denken: dit is een prachtige oplossing voor techneuten; een ontwikkeling bedoelt voor developers die graag het nieuwste van het nieuwste gebruiken. Dat klopt natuurlijk volledig.

Echter, juist ook voor een beginnende of doorsnee gebruiker is het verstandig om de mogelijkheden, die de PHP-selector biedt, te verkennen. Simpelweg, omdat je met behulp van de PHP-selector eenvoudig kunt overschakelen naar een nieuwere versie van PHP. Daarbij kun je tevens de instellingen configureren waardoor je website mogelijk sneller, stabieler en veiliger wordt.

Over naar PHP 5.5: niet alleen voor techneuten

Stel je hebt een website en die gebruikmaakt WordPress of Joomla, dan wordt er automatisch ook gebruik gemaakt van PHP. Om meer uit je website te halen en je daarbij te helpen, wijden wij dit artikel aan het ‘hoe en waarom’ die hierachter schuilt gaat.

Verder lezen